using MediatR;
using Sledgemapper.Shared.Entities;
using System;

namespace Sledgemapper.Api.Commands
{
    public class GetMapSnapshotCommand : IRequest<Session>
    {
        public Guid MapId { get; private set; }
        public Guid CampaignId { get; private set; 
        }
        public GetMapSnapshotCommand(Guid campaignId, Guid mapId)
        {
            MapId = mapId;
            CampaignId = campaignId;
        }
    }
}
