using Sledgemapper.Shared.Entities;
using System;

namespace Sledgemapper.Api.Commands
{
    public class NewRoomCommand : BaseCommand<bool>
    {
        public Room Room { get; private set; }

        public NewRoomCommand(Guid campaignId, Guid mapId, Room room, string userId) : base(campaignId, mapId, userId)
        {
            Room = room;
        }
    }
}
