using Sledgemapper.Shared.Entities;
using Session = Sledgemapper.Api.Core.Entities.Session;


namespace Sledgemapper.Api.Notifications
{
    public class DeleteOverlayNotification :  BaseNotification
    {
        public Overlay Overlay { get; private set; }

          public DeleteOverlayNotification(Session session, Overlay overlay, string userId) : base(session, userId)
        {
            Overlay = overlay;
        }
    }
}
