using Sledgemapper.Shared.Entities;
using Session = Sledgemapper.Api.Core.Entities.Session;


namespace Sledgemapper.Api.Notifications
{
    public class NewLineNotification : BaseNotification
    {
        public Line Line { get; private set; }

        public NewLineNotification(Session session, Line line, string userId) : base(session, userId)
        {
            Line = line;
        }
    }
}
