using Sledgemapper.Shared.Entities;
using Session = Sledgemapper.Api.Core.Entities.Session;

namespace Sledgemapper.Api.Notifications
{
    public class NewNoteNotification : BaseNotification
    {
        public Note Note { get; private set; }

        public NewNoteNotification(Session session, Note note, string userId) : base(session, userId)
        {
            Note = note;
        }
    }
}
