using Sledgemapper.Shared.Entities;
using Session = Sledgemapper.Api.Core.Entities.Session;


namespace Sledgemapper.Api.Notifications
{
    public class NewTileNotification : BaseNotification
    {
        public Tile Tile { get; private set; }

        public NewTileNotification(Session session, Tile tile, string userId) : base(session, userId)
        {
            Tile = tile;
        }
    }
}
