using System;
using Sledgemapper.Shared.Entities;

namespace Sledgemapper.Api.Commands
{
    public class DeleteNoteCommand : BaseCommand<bool>
    {
        public Note Note { get; private set; }

        public DeleteNoteCommand(Guid campaign, Guid mapName, Note note, string userId) : base(campaign, mapName, userId)
        {
            Note = note;
        }
    }
}
