using System;
using Sledgemapper.Shared.Entities;

namespace Sledgemapper.Api.Commands
{
    public class DeleteOverlayCommand : BaseCommand<bool>
    {
        public Overlay Overlay { get; private set; }

        public DeleteOverlayCommand(Guid campaign, Guid mapName, Overlay overlay, string userId) : base(campaign, mapName, userId)
        {
            Overlay = overlay;
        }
    }
}
