using System;
using Sledgemapper.Shared.Entities;

namespace Sledgemapper.Api.Commands
{
    public class DeleteTileCommand : BaseCommand<bool>
    {
        public Tile Tile { get; private set; }

        public DeleteTileCommand(Guid campaign, Guid mapName, Tile tile, string userId) : base(campaign, mapName, userId)
        {
            Tile = tile;
        }
    }
}
