using System;
using Sledgemapper.Shared.Entities;

namespace Sledgemapper.Api.Commands
{
    public class DeleteWallCommand : BaseCommand<bool>
    {
        public Wall Wall { get; private set; }

        public DeleteWallCommand(Guid campaign, Guid mapName, Wall wall, string userId) : base(campaign, mapName, userId)
        {
            Wall = wall;
        }
    }
}
