using System.Collections.Generic;
using MediatR;
using Sledgemapper.Shared.Entities;

namespace Sledgemapper.Api.Commands
{
    public class GetCampaignsCommand : IRequest<List<Campaign>>
    {
        public string UserId { get; private set; }
        public GetCampaignsCommand(string userId)
        {
            UserId = userId;
        }
    }

}