using Sledgemapper.Shared.Entities;
using System;

namespace Sledgemapper.Api.Commands
{
    public class NewNoteCommand : BaseCommand<bool>
    {
        public Note Note { get; private set; }

        public NewNoteCommand(Guid campaignId, Guid mapId, Note note, string userId) : base(campaignId, mapId, userId)
        {
            Note = note;
        }
    }
}
