using Sledgemapper.Shared.Entities;
using System;

namespace Sledgemapper.Api.Commands
{
    public class NewOverlayCommand : BaseCommand<bool>
    {
        public Overlay Overlay { get; private set; }

        public NewOverlayCommand(Guid campaignId, Guid mapId, Overlay overlay, string userId) : base(campaignId, mapId, userId)
        {
            Overlay = overlay;
        }
    }
}
