using Sledgemapper.Shared.Entities;
using System;

namespace Sledgemapper.Api.Commands
{
    public class NewWallCommand : BaseCommand<bool>
    {
        public Wall Wall { get; private set; }

        public NewWallCommand(Guid campaignId, Guid mapId, Wall wall, string userId) : base(campaignId, mapId, userId)
        {
            Wall = wall;
        }
    }
}
