using System;
using System.ComponentModel.DataAnnotations;

namespace Sledgemapper.Api.Core.Entities
{

    public class MapLog
    {
        [Key]
        public int MapLogId { get; set; }

        [Required]
        public string UserId { get; set; }

        [Required]
        public Guid SessionId { get; set; }

        [Required]
        [MaxLength(1)]
        public string Operation { get; set; }

        [Required]
        [MaxLength(256)]
        public string Type { get; set; }

        [Required]
        [MaxLength(256)]
        public string Object { get; set; }

        [Required]
        public double Timestamp { get; set; }
    }
}
