using System.Collections.Generic;
using Microsoft.AspNetCore.Identity;

namespace Sledgemapper.Api.Core.Entities
{
    public class User : IdentityUser
    {
        // public int Id { get; set; }
        public string FirstName { get; set; }
        public string LastName { get; set; }
        // public string Email { get; set; }
        // public string Username { get; set; }
        public string Initials { get; set; }
        // public byte[] PasswordHash { get; set; }
        public byte[] PasswordSalt { get; set; }
        public ICollection<Campaign> Campaigns { get; set; }
    }
}