using Sledgemapper.Shared.Entities;
using Session = Sledgemapper.Api.Core.Entities.Session;

namespace Sledgemapper.Api.Notifications
{
    public class DeleteWallNotification : BaseNotification
    {
        public Wall Wall { get; private set; }

        public DeleteWallNotification(Session session, Wall wall, string userId) : base(session, userId)
        {
            Wall = wall;
        }
    }
}
