using Sledgemapper.Shared.Entities;
using Session = Sledgemapper.Api.Core.Entities.Session;

namespace Sledgemapper.Api.Notifications
{
    public class NewOverlayNotification : BaseNotification
    {
        public Overlay Overlay { get; private set; }

        public NewOverlayNotification(Session session, Overlay overlay, string userId) : base(session, userId)
        {
            Overlay = overlay;
        }
    }
}
