using Sledgemapper.Shared.Entities;
using Session = Sledgemapper.Api.Core.Entities.Session;

namespace Sledgemapper.Api.Notifications
{
    public class NewRoomNotification : BaseNotification
    {
        public Room Room { get; private set; }

        public NewRoomNotification(Session session, Room room, string userId) : base(session, userId)
        {
            Room = room;
        }
    }
}
